JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Functions | Variables
juce_Optional.h File Reference

## Classes
class | Optional< Value >
| A simple optional type. More...

## Macros
#define | X(op)

## Typedefs
using | Nullopt = std::nullopt_t

## Functions
template<typename Value >
Optional< std::decay_t< Value > > | makeOptional (Value &&v)

## Variables
constexpr auto | nullopt = std::nullopt

## Macro Definition Documentation

## ◆ X

#define X | ( |  | op | ) |

Value:
template <typename T, typename U> friend bool operator op (const Optional<T>&, const Optional<U>&); \
template <typename T> friend bool operator op (const Optional<T>&, Nullopt); \
template <typename T> friend bool operator op (Nullopt, const Optional<T>&); \
template <typename T, typename U> friend bool operator op (const Optional<T>&, const U&); \
template <typename T, typename U> friend bool operator op (const T&, const Optional<U>&);
Optional
A simple optional type.
Definition juce_Optional.h:58
Nullopt
std::nullopt_t Nullopt
Definition juce_Optional.h:27